Bug 65852 - anonftp claims to be an ftp server, and doesn't list all files created
Summary: anonftp claims to be an ftp server, and doesn't list all files created
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anonftp   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-02 19:53 UTC by Joe Bayes
Modified: 2007-04-18 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 15:20:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Bayes 2002-06-02 19:53:34 UTC
anonftp-4.0-9's description says:

  Anonftp is a fast, read-only, anonymous FTP server. Anonymous FTP
  access allows anyone to download files from an FTP server. Anonymous
  FTP is a popular way of making files available via the Internet.

  Install the anonftp package if you would like to enable anonymous
  FTP downloads from your FTP server.

But, to the best of my knowledge, anonftp is *not* an FTP server, it is merely a
bunch of files under /var/ftp:

  spoo:~$ rpm -ql anonftp
  /var/ftp
  /var/ftp/bin
  /var/ftp/etc
  /var/ftp/etc/group
  /var/ftp/etc/ld.so.cache
  /var/ftp/etc/ld.so.conf
  /var/ftp/etc/passwd
  /var/ftp/lib
  /var/ftp/pub
  spoo:~$ 

Although, anonftp also appears to create a bunch of files under bin and lib
which don't get listed by an 'rpm -ql anonftp', so maybe it actually *is*
stealthily making an ftp server somewhere. If so, something should say where.

Comment 1 Bishop Clark 2003-03-20 09:33:35 UTC
sounds like it needs a few %GHOSTS in the %files, so that rpm -V and -ql will
give much better info.

(or, at least, rpm -1f /var/ftp/bin/ls willgive valid info)


Comment 2 Joe Bayes 2003-04-02 17:41:21 UTC
I suggest the following alternative description:

The anonftp package contains files necessary to enable your FTP server's
anonymous FTP feature. Anonymous FTP access allows anyone to download files from
your server without a username or password. Anonymous FTP is a popular way of
making files available via the Internet.

Install the anonftp package if you would like to enable anonymous
FTP downloads from your FTP server. You will also need to install an FTP server,
such as wu-ftpd or vsftpd.

Comment 3 Thomas Woerner 2004-04-21 15:20:41 UTC
anonftp is not available in newer versions. Closing wontfix.


Note You need to log in before you can comment on or make changes to this bug.